%return the area of the intersection between two box: m and n
%Author: Rongju Sun
%Email: rongjusun@gmail.com
%Date: Dec, 2014
%@Peking University, China
function y = IntersectArea(startm, endm, startn, endn)
    if(startm(1) < endn(1) && startm(1) > startn(1) && startm(2) < endn(2) && startm(2) > startn(2))
        intersh = startm(1);
        intersw = startm(2);
        intereh = min(endm(1), endn(1));
        interew = min(endm(2), endn(2));
        y = (intereh - intersh) * (interew - intersw);
    elseif(startn(1) < endm(1) && startn(1) > startm(1) && startn(2) < endm(2) && startn(2) > startm(2))
        intersh = startn(1);
        intersw = startn(2);
        intereh = min(endm(1), endn(1));
        interew = min(endm(2), endn(2));
        y = (intereh - intersh) * (interew - intersw);
    else
        y = 0; 
    end
end