%return the position of the gravity center.
%Author: Rongju Sun
%Email: rongjusun@gmail.com
%Date: Dec, 2014
%@Peking University, China

function gravity_pos = fig_gravity_pos(img)
    [h, w] = size(img);
    [x, y] = find(img == 0);
    x_gra = mean(x);
    y_gra = mean(y);
    x_rec = h / 2;
    y_rec = w / 2;
    gravity_pos(1) = x_gra / h;
    gravity_pos(2) = y_gra / w;
end