%return the standard deviation of the pixel projection to x axis, y axis
%45 degree rotated x axis and y axis.
%Author: Rongju Sun
%Email: rongjusun@gmail.com
%Date: Dec, 2014
%@Peking University, China


function projection = fig_projection(img)
    [h, w] = size(img);
    [x, y] = find(img == 0);
    projection(1) = std(y) / w;
    projection(2) = std(x) / h;
    
    img_black = ones(h, w) - img;
    img_ro_black = imrotate(img_black, 45);
    img_ro = ~img_ro_black;
    [x, y] = find(img_ro == 0 );
    
    img_ro = img_ro(min(x) : max(x), min(y) : max(y) );
    [x, y] = find(img_ro == 0 );
    projection(3) = std(y) / w;s
    projection(4) = std(x) / h;
end