    %Line Drawing
    function P = DrawLine_DDA2d(vert1,vert2)
        x1 = vert1(1);
        y1 = vert1(2);
        x2 = vert2(1);
        y2 = vert2(2);

        length =abs(x2-x1);
        if  abs(y2-y1)>length
            length=abs(y2-y1);
        end
        
        P(1:2,1:length) = 0;
        
        dx=(x2-x1)/length;
        dy=(y2-y1)/length;

        x=x1+0.5*sign(dx);
        y=y1+0.5*sign(dy);
        
        for i_sub1=1:length
            P(1,i_sub1) = round(x);
            P(2,i_sub1) = round(y);
            %plot3(round(x),round(y),round(z),'Color',color);
            x=x+dx;
            y=y+dy;
        end
    end